commit:     a7f01a72d9e16f0cb77a0dd886d8cab5a41fb869
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  9 09:33:10 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 09:34:09 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7f01a72

app-misc/tmux: Security bump to version 2.1 (bug #564400).

Package-Manager: portage-2.2.24
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/tmux/Manifest        |  1 +
 app-misc/tmux/tmux-2.1.ebuild | 84 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 40e2569..30c394a 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,2 +1,3 @@
 DIST tmux-1.9a.tar.gz 447938 SHA256 
c5e3b22b901cf109b20dab54a4a651f0471abd1f79f6039d79b250d21c2733f5 SHA512 
842984638dc1f7364c03393187379598f35679d535d911d5df4016944d6032e61a1bf840d7d339c6e99b30c55581d470acca85ab6ee5799b8927d18c0e9a91df
 WHIRLPOOL 
eca5cd48a263e25d24b7e2865f76bb30267e20590e9b2a905637498d7992389b9c7e0253c992780b1a6458869204cffcf93f4dba09efdfeb2f803a0f95f6553e
 DIST tmux-2.0.tar.gz 455754 SHA256 
795f4b4446b0ea968b9201c25e8c1ef8a6ade710ebca4657dd879c35916ad362 SHA512 
8a4be40ceb9b371a91107173de08348c4379b103454fa397ee326506f78a5fda1034dc7148c090c687221eddb8a2fc0c3aeb85da57841df6bcd74fb5f4f5f53d
 WHIRLPOOL 
d5c9570aafed049b1404e9243e0339202bfa33e8ca2874f304cb9a7c764b7878db19f87aa5f6b9a9476038bc3702e5d11784c8ca83eb731e61763ecb08a39fec
+DIST tmux-2.1.tar.gz 462965 SHA256 
31564e7bf4bcef2defb3cb34b9e596bd43a3937cad9e5438701a81a5a9af6176 SHA512 
0faa0a60a84b777ca3cf572cf741d0e4f82a9f32d27dfeddfda41bad57830823a6d5f2323f27ba794b86e194d9f7db7028c94dc6a15bb4ac5a18508f890bdaa4
 WHIRLPOOL 
983024886bdb868bb69ccedc18e9fd62cc5a8f147d647ea43b6f20e297b9b3c45a061e542bcb590ab50cf5d3db43d22015c3a8f18bee33d9c76552bfe13424ed

diff --git a/app-misc/tmux/tmux-2.1.ebuild b/app-misc/tmux/tmux-2.1.ebuild
new file mode 100644
index 0000000..dd69ee5
--- /dev/null
+++ b/app-misc/tmux/tmux-2.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils bash-completion-r1 flag-o-matic
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux vim-syntax"
+
+CDEPEND="
+       || ( =dev-libs/libevent-2.0*
+                >=dev-libs/libevent-2.1.5-r4 )
+       !sys-apps/utempter
+       sys-libs/ncurses"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-screen )
+       vim-syntax? ( || (
+               app-editors/vim
+               app-editors/gvim ) )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=( "${FILESDIR}"/${PN}-2.0-flags.patch )
+
+pkg_setup() {
+       if has_version "<app-misc/tmux-1.9a"; then
+               echo
+               ewarn "Some configuration options changed in this release."
+               ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+               ewarn
+               ewarn "WARNING: After updating to ${P} you will _not_ be able 
to connect to any"
+               ewarn "older, running tmux server instances. You'll have to use 
an existing client to"
+               ewarn "end your old sessions or kill the old server instances. 
Otherwise you'll have"
+               ewarn "to temporarily downgrade to access them."
+               echo
+       fi
+}
+
+src_prepare() {
+       # bug 438558
+       # 1.7 segfaults when entering copy mode if compiled with -Os
+       replace-flags -Os -O2
+
+       # regenerate aclocal.m4 to support earlier automake versions
+       rm aclocal.m4 || die
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               --sysconfdir="${EPREFIX}"/etc
+               $(use_enable debug)
+       )
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+
+       newbashcomp examples/bash_completion_tmux.sh ${PN}
+
+       docinto examples
+       dodoc examples/*.conf
+
+       if use vim-syntax; then
+               insinto /usr/share/vim/vimfiles/syntax
+               doins examples/tmux.vim
+
+               insinto /usr/share/vim/vimfiles/ftdetect
+               doins "${FILESDIR}"/tmux.vim
+       fi
+}

Reply via email to